Slurm API(3)

NAME
slurm_free_slurmd_status, slurm_load_slurmd_status, slurm_print_slurmd_status - Slurmd status functions

SYNTAX

#include <slurm/slurm.h>

void slurm_free_slurmd_status (
    slurmd_status_t* slurmd_status_ptr
);

int slurm_load_slurmd_status (
    slurmd_status_t** slurmd_status_ptr
);

void slurm_print_slurmd_status (
    FILE *out,
    slurmd_status_t* slurmd_status_pptr
);

ARGUMENTS

slurmd_status_ptr
    Slurmd status pointer. Created by slurm_load_slurmd_status, used in subsequent function calls, and destroyed by slurm_free_slurmd_status.

DESCRIPTION

slurm_free_slurmd_status free slurmd state information.

slurm_load_slurmd_status issue RPC to get the status of slurmd daemon on this machine.

slurm_print_slurmd_status output the contents of slurmd status message as loaded using slurm_load_slurmd_status.

COPYING
Copyright (C) 2006-2007 The Regents of the University of California. Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of Slurm, a resource management program. For details, see <https://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.